Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452411 - Make VMM windows conform to HIG
Summary: Make VMM windows conform to HIG
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Virtualization Tools
Classification: Community
Component: virt-manager
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 10:13 UTC by Michael Monreal
Modified: 2010-03-16 17:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-10 01:18:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 251055 None None None Never

Description Michael Monreal 2008-06-22 10:13:08 UTC
Main window
------------------
- "Host details..." => "Host details"
- "Machine details..." => "Machine details"
The "..." are used only when invoking actions which need further input. Those
details windows are more like "Preferences" (notice the absence of the dots):
while you can change things, you don't have to in order to "complete the task"
(which is just showing the window).
Also I wonder if the distinction between the two really makes sense. The
"Details" button on the bottom of the window just opens the details for the
selected element, this would probably also be fine for the menu.


Virtual machine window
--------------------------
"Virtual machine" menu
- The Run, Pause, Shutdown should use the same icons as used elsewhere in the
the GUI.

"View" menu:
- Details: this belongs to the "Virtual Machine". Background: as per HIG, the
"View" menu is only meant for settings which alter the current view of the
application.
- "FullScreen" is not a real word, this should be "Fullscreen"

"Send key" menu:
- This menu should be called "Send Key" I think

Comment 1 Richard Laager 2009-01-12 22:15:36 UTC
The pause menu item is a checkbox menu item, so putting an icon next to it is impossible. The Run/Pause menu items could be collapsed into one similar to music players that have Play/Pause, but I'm not sure I like that. I'm not a developer, so feel free to make your case if you disagree.

Aside from that, I've submitted a patch (which was accepted) that addresses part of this and will be submitting another shortly.

Comment 2 Richard Laager 2009-01-24 00:40:04 UTC
This addresses Send Key:
http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/e2056d9074e5

I believe everything here is fixed, except for the icons, which, as I stated in my last comment, can't be fixed unless the checkbox is eliminated.

Comment 3 Cole Robinson 2009-03-10 01:18:23 UTC
This bug has largely been addressed. Closing as UPSTREAM.


Note You need to log in before you can comment on or make changes to this bug.